:tocdepth: 3

Reference
---------

Base classes
^^^^^^^^^^^^

.. autoclass:: plotpy.styles.base.ItemParameters
   :members:

Plot (grid, axes)
^^^^^^^^^^^^^^^^^

.. autoclass:: plotpy.styles.GridParam
   :members:
.. autoclass:: plotpy.styles.AxesParam
   :members:
.. autoclass:: plotpy.styles.ImageAxesParam
   :members:

Curve items
^^^^^^^^^^^

.. autoclass:: plotpy.styles.CurveParam
   :members:
.. autoclass:: plotpy.styles.ErrorBarParam
   :members:

Image items
^^^^^^^^^^^

.. autoclass:: plotpy.styles.RawImageParam
   :members:
.. autoclass:: plotpy.styles.ImageParam
   :members:
.. autoclass:: plotpy.styles.TrImageParam
   :members:
.. autoclass:: plotpy.styles.XYImageParam
   :members:
.. autoclass:: plotpy.styles.RGBImageParam
   :members:
.. autoclass:: plotpy.styles.MaskedImageParam
   :members:
.. autoclass:: plotpy.styles.MaskedXYImageParam
   :members:
.. autoclass:: plotpy.styles.ImageFilterParam
   :members:
.. autoclass:: plotpy.styles.QuadGridParam
   :members:

Histogram items
^^^^^^^^^^^^^^^

.. autoclass:: plotpy.styles.HistogramParam
   :members:
.. autoclass:: plotpy.styles.Histogram2DParam
   :members:

Shape items
^^^^^^^^^^^

.. autoclass:: plotpy.styles.LabelParam
   :members:
.. autoclass:: plotpy.styles.LegendParam
   :members:
.. autoclass:: plotpy.styles.ShapeParam
   :members:
.. autoclass:: plotpy.styles.AnnotationParam
   :members:
.. autoclass:: plotpy.styles.AxesShapeParam
   :members:
.. autoclass:: plotpy.styles.RangeShapeParam
   :members:
.. autoclass:: plotpy.styles.MarkerParam
   :members:
.. autoclass:: plotpy.styles.FontParam
   :members:
.. autoclass:: plotpy.styles.SymbolParam
   :members:
.. autoclass:: plotpy.styles.LineStyleParam
   :members:
.. autoclass:: plotpy.styles.BrushStyleParam
   :members:
.. autoclass:: plotpy.styles.TextStyleParam
   :members:
